toolzerhub API Docs

Get shop listings (v1)

Get a Taobao or Tmall shop's ratings and its first 60 listings with full titles and CNY prices. An unknown shop_id returns data: null.

1 credit / requestBilled only on success
GET
/v1/taobao/shop

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

shop_id*string

Shop ID from items[].shop_id or shop.shop_id, or a https://shop<id>.taobao.com URL.

Length5 <= length <= 2000
curl -X GET "https://example.com/v1/taobao/shop?shop_id=117548108" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "shop_id": "string",    "shop_name": "string",    "seller_id": "string",    "logo": "string",    "description_score": 4.7,    "service_score": 4.8,    "delivery_score": 4.8,    "total_items": 576,    "items": [      {        "item_id": "1079352038299",        "title": "string",        "url": "https://item.taobao.com/item.htm?id=1079352038299",        "image": "string",        "price": 118,        "original_price": 0,        "currency": "CNY",        "price_hkd": 140.56,        "price_twd": 583.81,        "price_label": "优惠价",        "selling_points": [          "string"        ],        "shop_id": "string",        "shop_name": "string",        "category_id": "string",        "root_category_id": "string",        "free_shipping": true,        "area_limit": true,        "description_match_score": 4.8,        "review_tags": [          {            "tag": "string",            "count": 0          }        ]      }    ]  },  "details": {    "reason": "string",    "message": "string"  }}